> For the complete documentation index, see [llms.txt](https://docs.rpcfast.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rpcfast.com/rpc-fast-saas-solana/introduction.md).

# Introduction

Low-latency Solana RPC + streaming for high-scale dApps, HFT bots, DeFi, and analytics.

## Solana RPC SaaS

Solana RPC SaaS is built on top of RPC Fast’s proven infra stack. We provide a high level of security, stable connection, and an intuitive dashboard for your dApps.

* **Standard Interface:** Get access to our JSON-RPC endpoint and 100% healthy dedicated nodes.
* **Uptime:** Our nodes are updated automatically without service interruption.
* **High-level Security:** Production-grade networking, observability, failover.
* **Integration with DoubleZero:** Enabling access to high-throughput internet layer for Solana.
* **Control Panel:** RPC Fast dashboard is intuitive and provides automatic reports about your dApps.
* **Geo:** Frankfurt, Equinix FR13.

{% hint style="success" icon="child-reaching" %}
For any presale or tech questions, please [contact us on Telegram](https://t.me/rpc_fast): Our team will get back to you shortly within the Community Support chat. Please be aware of impersonators!
{% endhint %}

### Performance We Target:

* **Fast event source** via gRPC, powered by raw shreds
* **The lowest latency** to RPC node (high-throughput connection and nodes tuning)
* **Fast transaction propagation route**
* **No bandwidth limitations**
* **Heavy methods** inclusion
* **gRPC included** in affordable plans (starting from Stream Plan)
* **High landing rate** (SWQoS via partners' network)

***

### High-Throughput Connection

RPC Fast is plugged into [DoubleZero](https://x.com/rpcfast/status/2018613773024833881?s=20) – a high-throughput dedicated internet layer built specifically for high-performance blockchains like Solana.

By connecting our RPC infra to DoubleZero, we aim to make performance more predictable & execution more consistent, especially under heavy network load.

{% hint style="success" icon="rabbit-running" %}
Result: Lower latency to Solana leaders, higher landing rates, more consistent execution quality for HFTs and latency-sensitive apps.
{% endhint %}

***

### Custom Streaming Protocol: TxStream

RPC Fast's purpose-built protocol for low-latency decoded Solana transactions, server-side filtering, and optional real-time simulation. [Read more](https://docs.rpcfast.com/rpc-fast-saas-solana/data-streaming/txstream).

***

### Geolocation

Currently, we are present in **Frankfurt only – CherryServers (Equinix FR14).**

For the most efficient performance / lowest latency, we recommend deploying your app in the same region data center. Recommended providers: Cherry Servers, Teraswitch, Latitude, OVH, AWS, GCP.

***

## Development Roadmap

#### Q4'2025

* [x] Initial geo location infra setup: Frankfurt
* [x] ShredStream gRPC
* [x] Performance tuning

#### H1'2026

* [x] [DoubleZero integration](https://x.com/rpcfast/status/2018613773024833881?s=20)
* [x] "Heavy" RPC methods inclusion (`getProgramAccounts` and others)
* [x] Solana RPC SaaS launch – March
* [x] Testing access for paid plans
* [x] Devnet integration
* [x] Hackathon plan / **Colosseum Frontier** support
* [x] RPC Fast Beam sender service
* [x] Unified API key for all products
* [x] Tech integrations: adding raw shreds sources
* [x] Benchmarking & performance tuning
* [x] Billing & UI tuning
* [x] Crypto payments integration
* [x] Resolved ALT for versioned transactions (TxStream)

#### H2'2026

* [x] Tech integrations: new partnerships
* [x] TxStream – new, faster gRPC service
* [x] Real-time simulation of deshredded transactions
* [x] Benchmarking & performance tuning
* [x] IP whitelisting functionality
* [x] Panorama: RPC acceleration
* [x] Quark: [DeFi queries acceleration](https://docs.rpcfast.com/rpc-fast-saas-solana/solana-rpc-methods/defi-queries-acceleration)
* [x] Tech integrations: adding raw shreds sources
* [x] Hackathon plan / **Colosseum Crypto World's Fair** support
* [x] Solana v1 transactions support for Apertute TxStream
* [x] Enriched real-time simulation results
* [x] Billing: Quarterly discounts
* [ ] Tech integrations: adding SWQoS providers
* [ ] New mid-tier plan with data streaming
* [ ] Enterprise plan introduction

#### 2027

* [ ] Geo-distribiuted endpoints
* [ ] Historical data endpoints
* [ ] DAS / Enhanced APIs


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rpcfast.com/rpc-fast-saas-solana/introduction.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
